FreeTDS API: tds_socket Struct Reference

Public Attributes

# tds_socket Struct Reference

Hold information for a server connection. More...

`#include <tds.h>`

List of all members.

## Public Attributes
TDSAUTHENTICATION * | authentication
unsigned char | broken_dates
unsigned char | capabilities [TDS_MAX_CAPABILITY]
int | char_conv_count
TDSICONV ** | char_convs
TDS_UCHAR | collation [5]
TDSCOMPUTEINFO ** | comp_info
TDSCONNECTION * | connection
| config for login stuff.
TDSCURSOR * | cur_cursor
| cursor in use
TDSDYNAMIC * | cur_dyn
| dynamic structure in use
TDSRESULTINFO * | current_results
| info about current query.
TDSCURSOR * | cursors
| linked list of cursors allocated for this connection
char * | date_fmt
TDSDYNAMIC * | dyns
| list of dynamic allocate for this connection
int | emul_little_endian
TDSENV | env
void(* | env_chg_func )(TDSSOCKET *tds, int type, char *oldval, char *newval)
TDS_TINYINT | has_status
| true is ret_status is valid
unsigned char * | in_buf
| input buffer
unsigned int | in_buf_max
| allocated input buffer
volatile unsigned char | in_cancel
| indicate we are waiting a cancel reply so discard tokens till acknowledge
unsigned char | in_flag
| input buffer type
unsigned | in_len
| input buffer length
unsigned | in_pos
| current position in in_buf
int | internal_sp_called
unsigned char | last_packet
| true if current input buffer is the last one
TDS_SMALLINT | major_version
TDS_SMALLINT | minor_version
TDS_INT | num_comp_info
unsigned char | option_flag2
int | option_value
unsigned char * | out_buf
| output buffer
unsigned char | out_flag
| output buffer type
unsigned | out_pos
| current position in out_buf
TDSPARAMINFO * | param_info
void * | parent
char * | product_name
TDS_UINT | product_version
| version of product (Sybase/MS and full version)
TDS_INT | query_timeout
TDSRESULTINFO * | res_info
TDS_INT | ret_status
| return status from store procedure
TDS_INT8 | rows_affected
| rows updated/deleted/inserted/selected, TDS_NO_COUNT if not valid
TDS_SYS_SOCKET | s
| tcp socket, INVALID_SOCKET if not connected
int | spid
TDS_STATE | state
TDS_UCHAR | tds9_transaction [8]
const TDSCONTEXT * | tds_ctx
void * | tls_credentials
void * | tls_session

## Detailed Description

Hold information for a server connection.

## Member Data Documentation

TDSCONNECTION* tds_socket::connection

config for login stuff.

After login this field is NULL

TDSRESULTINFO* tds_socket::current_results

info about current query.

Contains information in process, both normal and compute results. This pointer shouldn't be freed; it's just an alias to another structure.

The documentation for this struct was generated from the following file:

- include/tds.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines